function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { any, func } from 'prop-types';

var PrintContainer = function (_Component) {
  _inherits(PrintContainer, _Component);

  function PrintContainer() {
    var _temp, _this, _ret;

    _classCallCheck(this, PrintContainer);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _Component.call.apply(_Component, [this].concat(args))), _this), _this._print = function () {
      window.print();
    }, _this._close = function () {
      window.close();
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  PrintContainer.prototype._renderButtons = function _renderButtons() {
    return React.createElement(
      'div',
      { className: 'print-header text-right hidden-print' },
      React.createElement(
        'button',
        { type: 'button', onClick: this._close, className: 'btn btn-default' },
        'Close'
      ),
      ' ',
      React.createElement(
        'button',
        { type: 'button', onClick: this._print, className: 'btn btn-warning' },
        'Print'
      )
    );
  };

  PrintContainer.prototype.render = function render() {
    return React.createElement(
      'div',
      { className: 'bisu--print-container' },
      this._renderButtons(),
      this.props.children
    );
  };

  return PrintContainer;
}(Component);

process.env.NODE_ENV !== "production" ? PrintContainer.propTypes = {
  children: any,
  onClose: func
} : void 0;

export default PrintContainer;